org.apache.ignite.internal.processors.odbc.jdbc

## Class JdbcColumnMeta

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.jdbc.JdbcColumnMeta

All Implemented Interfaces:
  JdbcRawBinarylizable

Direct Known Subclasses:
  JdbcColumnMetaV2

    public class JdbcColumnMeta
    extends Object
    implements JdbcRawBinarylizable

JDBC column metadata.

### Constructor Summary

Constructors
Constructor and Description
`JdbcColumnMeta(String schemaName, String tblName, String colName, Class<?> cls)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `columnName()`
`int` `dataType()`
`String` `dataTypeClass()`
`String` `dataTypeName()`
`String` `defaultValue()`
`boolean` `equals(Object o)`
`int` `hashCode()`
`boolean` `isNullable()` Return 'nullable' flag in compatibility mode (according with column name and column type).
`int` `precision()`
`void` `readBinary(BinaryReaderExImpl reader, JdbcProtocolContext protoCtx)` Reads fields from provided reader.
`int` `scale()`
`String` `schemaName()`
`String` `tableName()`
`String` `toString()`
`void` `writeBinary(BinaryWriterExImpl writer, JdbcProtocolContext protoCtx)` Writes fields to provided writer.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdbcColumnMeta

    public JdbcColumnMeta(String schemaName,
                          String tblName,
                          String colName,
                          Class<?> cls)

Parameters:
  `schemaName` - Schema.
  `tblName` - Table.
  `colName` - Column.
  `cls` - Type.

### Method Detail

#### schemaName

    public String schemaName()

Returns:
  Schema name.

#### tableName

    public String tableName()

Returns:
  Table name.

#### columnName

    public String columnName()

Returns:
  Column name.

#### dataType

    public int dataType()

Returns:
  Column's data type.

#### dataTypeName

    public String dataTypeName()

Returns:
  Column's data type name.

#### dataTypeClass

    public String dataTypeClass()

Returns:
  Column's data type class.

#### defaultValue

    public String defaultValue()

Returns:
  Column's default value.

#### precision

    public int precision()

Returns:
  Column's precision.

#### scale

    public int scale()

Returns:
  Column's scale.

#### isNullable

    public boolean isNullable()

Return 'nullable' flag in compatibility mode (according with column name and column type).

Returns:
  `true` in case the column allows null values. Otherwise returns `false`

#### writeBinary

    public void writeBinary(BinaryWriterExImpl writer,
                            JdbcProtocolContext protoCtx)

Writes fields to provided writer.

Specified by:
  `writeBinary` in interface `JdbcRawBinarylizable`
Parameters:
  `writer` - Binary object writer.
  `protoCtx` - JDBC protocol context.

#### readBinary

    public void readBinary(BinaryReaderExImpl reader,
                           JdbcProtocolContext protoCtx)

Reads fields from provided reader.

Specified by:
  `readBinary` in interface `JdbcRawBinarylizable`
Parameters:
  `reader` - Binary object reader.
  `protoCtx` - JDBC protocol context.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021